#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
tde_install_icons( )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkcddb
  ${CMAKE_BINARY_DIR}/libkcddb
  ${CMAKE_SOURCE_DIR}/kscd
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTSC_LIBRARY_DIRS}
)


##### kaudiocreator (executable) ################

tde_add_executable( kaudiocreator AUTOMOC
  SOURCES
    main.cpp kaudiocreator.cpp encoder.cpp
    encoderconfigimp.cpp job.cpp jobqueimp.cpp ripper.cpp tracksimp.cpp
    encoderedit.ui jobque.ui  tracks.ui infodialog.ui wizard.ui general.ui
    cdconfig.ui ripconfig.ui encoderoutput.ui encoderconfig.ui encodefile.ui
    prefs.kcfgc encoder_prefs.kcfgc encodefileimp.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdeutils-shared tdehtml-shared tdetexteditor-shared
    kcddb-shared kcompactdisc-static workman-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES kaudiocreator.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)
install(
  FILES kaudiocreatorui.rc eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/kaudiocreator
)
install(
  FILES kaudiocreator.kcfg kaudiocreator_encoders.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
install(
  FILES audiocd_extract.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)
install(
  FILES kaudiocreator-meta.upd kaudiocreator-libkcddb.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)
install(
  PROGRAMS upgrade-kaudiocreator-metadata.sh
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)
